org.codehaus.groovy.transform

## Class LogASTTransformation.AbstractLoggingStrategy

- java.lang.Object
- - org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

All Implemented Interfaces:
  LogASTTransformation.LoggingStrategy

Direct Known Subclasses:
  Commons.CommonsLoggingStrategy, Log.JavaUtilLoggingStrategy, Log4j.Log4jLoggingStrategy, Slf4j.Slf4jLoggingStrategy

Enclosing class:
  LogASTTransformation

    public abstract static class LogASTTransformation.AbstractLoggingStrategy
    extends java.lang.Object
    implements LogASTTransformation.LoggingStrategy

### Field Summary

Fields
`protected GroovyClassLoader` `loader`

### Constructor Summary

Constructors
`protected` `LogASTTransformation.AbstractLoggingStrategy()`
`protected` `LogASTTransformation.AbstractLoggingStrategy(GroovyClassLoader loader)`

### Method Summary

Methods
`protected ClassNode` `classNode(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategy

`addLoggerFieldToClass, isLoggingMethod, wrapLoggingMethodCall`

### Field Detail

#### loader

    protected final GroovyClassLoader loader

### Constructor Detail

#### LogASTTransformation.AbstractLoggingStrategy

    protected LogASTTransformation.AbstractLoggingStrategy(GroovyClassLoader loader)

#### LogASTTransformation.AbstractLoggingStrategy

    protected LogASTTransformation.AbstractLoggingStrategy()

### Method Detail

#### classNode

    protected ClassNode classNode(java.lang.String name)